﻿using Syncfusion.SfCalendar.XForms;
using System;
using System.Collections.Generic;
using System.Text;
using Xamarin.Forms;

namespace WeekViewCalendar
{
    class CalendarBehavior:Behavior<ContentPage>
    {
        SfCalendar calendar;
        public CalendarEventCollection CalendarInlineEvents { get; set; } = new CalendarEventCollection();
        protected override void OnAttachedTo(ContentPage bindable)
        {
            base.OnAttachedTo(bindable);

            calendar = bindable.FindByName<SfCalendar>("calendar");
            CalendarInlineEvent event1 = new CalendarInlineEvent();
            event1.StartTime = new DateTime(2019, 12, 1, 5, 0, 0);
            event1.EndTime = new DateTime(2019, 12, 1, 7, 0, 0);
            event1.Subject = "Go to Meeting";
            event1.Color = Color.Fuchsia;

            CalendarInlineEvent event2 = new CalendarInlineEvent();
            event2.StartTime = new DateTime(2019, 12, 1, 10, 0, 0);
            event2.EndTime = new DateTime(2019, 12, 1, 12, 0, 0);
            event2.Subject = "Planning";
            event2.Color = Color.Green;

            CalendarInlineEvents.Add(event1);
            CalendarInlineEvents.Add(event2);

            calendar.DataSource = CalendarInlineEvents;
        }
    }
}
